package com.edgec.browserbackend.alipay;


import org.apache.commons.lang3.StringUtils;

public class VpsAlipayConfig extends AlipayConfig{

    @Override
    public String getAPPID() {
        return "xxxx";
    }

    @Override
    public String getAPP_PRIVATE_KEY() {
        return "xxx";
    }

    @Override
    public String getALIPAY_PUBLIC_KEY() {
        return "xxxx";

    }

    @Override
    public String getNOTIFY_URL() {
        return "https://www.cloudam.cn/accounts/0xalipaycallback/";
    }

    @Override
    public String getSIGN_TYPE() {
        return "RSA2";
    }

    @Override
    public String getCHARSET() {
        return "utf-8";
    }

    @Override
    public String getURL() {
        return "https://openapi.alipay.com/gateway.do";
    }

    @Override
    public String getReturnUrl(boolean isVpsClient, String by) {
        if (StringUtils.isNotEmpty(by)) {
            switch (by) {
                case "1":
                    return RETURN_URL_VPS_FRONT; // vps购买
                case "2":
                    return RETURN_URL_CVM;   // 云主机购买
                case "10":
                    return RETURN_URL_BROWSER;
            }
        }

        // 费用中心
        if (isVpsClient) {
            return RETURN_URL_VPS;
        } else {
            return RETURN_URL_CLOUDAM;
        }

    }



}