#!/bin/bash
git pull origin master
mvn package spring-boot:repackage -Dmaven.test.skip=true 


export DOCKER_HOST=xxx
export DOCKER_USER=xxx
export DOCKER_PASS=xxx
export COMMIT=`date +%s | md5sum | head -c 10 ; echo`
export TAG="latest"

export BROWSER=cloudam/browser
sudo docker build -t $BROWSER:$COMMIT .
sudo docker tag $BROWSER:$COMMIT $DOCKER_HOST/$BROWSER:$TAG
sudo docker push $DOCKER_HOST/$BROWSER
